%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-esutils
Version:             2.0.2
Release:             1
Summary:             Utility box for ECMAScript language tools
License:             BSD
URL:                 https://github.com/Constellation/esutils
Source0:             https://github.com/Constellation/esutils/archive/%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(chai) npm(coffee-script) npm(mocha)
%endif

%description
%{summary}.

%prep
%autosetup -n esutils-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/esutils
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/esutils
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --compilers coffee:coffee-script/register -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.BSD
%{nodejs_sitelib}/esutils

%changelog
* Fri Aug 21 2020 leiju <leiju4@huawei.com> - 2.0.2-1
- Package init
